# dipy_denoise_mppca

## Synopsis

Workflow wrapping Marcenko-Pastur PCA denoising method.

See [1] for further details about the method.

## Usage

    dipy_denoise_mppca [OPTIONS] input_files

## Input Parameters

- `input_files`

  Path to the input volumes. This path may contain wildcards to process multiple inputs at once.

## General Options

- `--patch_radius`

  The radius of the local patch to be taken around each voxel (in voxels) For example, for a patch radius with value 2, and assuming the input image is a 3D image, the denoising will take place in blocks of 5x5x5 voxels. (default: 2)

- `--pca_method`

  Use either eigenvalue decomposition (‘eig’) or singular value decomposition (‘svd’) for principal component analysis. The default method is ‘eig’ which is faster. However, occasionally ‘svd’ might be more accurate. (default: eig)

- `--return_sigma`

  If true, a noise standard deviation estimate based on the Marcenko-Pastur distribution is returned [2]. (default: False)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_denoised`

  Name of the resulting denoised volume. (default: dwi_mppca.nii.gz)

- `--out_sigma`

  Name of the resulting sigma volume. (default: dwi_sigma.nii.gz)

## References

[1]

Jelle Veraart, Els Fieremans, Ileana O. Jelescu, Florian Knoll, and Dmitry S. Novikov. Gibbs ringing in diffusion MRI. Magnetic Resonance in Medicine, 76(1):301–314, July 2016. URL: https://doi.org/10.1002/mrm.25866, doi:10.1002/mrm.25866.

[2]

Jelle Veraart, Els Fieremans, and Dmitry S. Novikov. Diffusion MRI noise mapping using random matrix theory. Magnetic Resonance in Medicine, 76(5):1582–1593, November 2016. URL: https://doi.org/10.1002/mrm.26059, doi:10.1002/mrm.26059.

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.